#ifndef __bqtRockEditObjectsHH
#define __bqtRockEditObjectsHH

/* Common ascii characters in all levels */
const char Ascii_Guts     = 'G';
const char Ascii_Spike    = '^';
const char Ascii_Ladder   = '|';
const char Ascii_WilyDoor = 'D';

const char Ascii_ObjShutterIn  = 'X'; // input shutter
const char Ascii_ObjShutterOut = 'S'; // output shutter
// pneumatic  blocks are represented by hex characters 0..9
const char Ascii_ObjFire    = 'I'; // flying fire
// Teleport Y coordinate
const char Ascii_TeleportYcoord = 'Y';
const char Ascii_Boss = '!';
const char Ascii_TempBlock = 'T';

extern const struct ObjectDesc
{
    char ascii;
    unsigned char x,y;
} AsciiObjects[];

extern const unsigned NumAsciiObjects;


#endif
